[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBytesStream.Bytes

The stream data as an array of bytes.

## Declaration

Source position: classesh.inc line 1083

`public property TBytesStream.Bytes : TBytes read FBytes;`

## Description

Bytes provides byte-sized access to the array of bytes that represent the stream data. As a pointer value, it equals TCustomMemoryStream.Memory, meaning that Memory points to the first byte in the array.

## See also

TBytes
TMemoryStream |  | Standard implementation of a stream that stores its data in memory
TCustomMemoryStream.Memory |  | Pointer to the data kept in the memory stream.